# Uses of Interface
org.springframework.http.codec.HttpMessageReader

Packages that use HttpMessageReader
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.
org.springframework.http.codec.multipart
Multipart support.

## Uses of HttpMessageReader in org.springframework.http.codec

Classes in org.springframework.http.codec that implement HttpMessageReader
Modifier and Type
Class
Description
`class`
`DecoderHttpMessageReader<T>`
`HttpMessageReader` that wraps and delegates to a `Decoder`.
`class`
`FormHttpMessageReader`
Implementation of an `HttpMessageReader` to read HTML form data, i.e.
`class`
`ResourceHttpMessageReader`
`HttpMessageReader` that wraps and delegates to a `ResourceDecoder` that extracts the filename from the `"Content-Disposition"` header, if available, and passes it as the `ResourceDecoder.FILENAME_HINT`.
`class`
`ServerSentEventHttpMessageReader`
Reader that supports a stream of `ServerSentEvents` and also plain `Objects` which is the same as an `ServerSentEvent` with data only.
Methods in org.springframework.http.codec that return types with arguments of type HttpMessageReader
Modifier and Type
Method
Description
`List<HttpMessageReader<?>>`
CodecConfigurer.`getReaders()`
Obtain the configured HTTP message readers.
Methods in org.springframework.http.codec with parameters of type HttpMessageReader
Modifier and Type
Method
Description
`void`
CodecConfigurer.DefaultCodecs.`multipartReader(HttpMessageReader<?> reader)`
Configure the `HttpMessageReader` to use for multipart requests.
`void`
CodecConfigurer.CustomCodecs.`reader(HttpMessageReader<?> reader)`
Deprecated.
as of 5.1.13, use `CodecConfigurer.CustomCodecs.register(Object)` or `CodecConfigurer.CustomCodecs.registerWithDefaultConfig(Object)` instead.

## Uses of HttpMessageReader in org.springframework.http.codec.multipart

Classes in org.springframework.http.codec.multipart that implement HttpMessageReader
Modifier and Type
Class
Description
`class`
`DefaultPartHttpMessageReader`
Default `HttpMessageReader` for parsing `"multipart/form-data"` requests to a stream of `Part`s.
`class`
`MultipartHttpMessageReader`
`HttpMessageReader` for reading `"multipart/form-data"` requests into a `MultiValueMap<String, Part>`.
`class`
`PartEventHttpMessageReader`
`HttpMessageReader` for parsing `"multipart/form-data"` requests to a stream of `PartEvent` elements.
Methods in org.springframework.http.codec.multipart that return HttpMessageReader
Modifier and Type
Method
Description
`HttpMessageReader<Part>`
MultipartHttpMessageReader.`getPartReader()`
Return the configured parts reader.
Constructors in org.springframework.http.codec.multipart with parameters of type HttpMessageReader
Modifier
Constructor
Description
``
`MultipartHttpMessageReader(HttpMessageReader<Part> partReader)`